/* colors for site*/
/* blue-black : #333350 (for dark text)*/
/* green:  #029852 (for borders/underline)*/
/* white: #FFFFFF (for text on different background)*/
/* hr color: rgba(163, 163, 163, 0.648) */

/* boostrap breakpoints for responsive */
/*  This is for class="col-md-12 / col-12 (je najmanji)..."
    --: 0-575px, (col-12)
    sm: 576px-767px (col-sm-12),
    md: 768px-991px (col-md-12),
    lg: 992px-1199px (col-lg-12),
    xl: 1200px-1399px (col-xl-12),
    xxl: 1400px - infinity (col-xxl-12)
  */

  @font-face {
    font-family: 'Comforta';
    src: url('../assets//Font//Comfortaa-Medium.ttf');
  }

  /* MAIN SECTION */

.slide {
  height: 1000px;
  width: 100%;
}
.slide-1 {
  background-image: url("background-pics/NASLOVNA.webp"),url("background-pics/NASLOVNA stara.png");
  background-size: auto 140%;
  background-position:center;
  background-repeat: no-repeat;
}

.slide .header-title {
  font-family: 'Comforta';
  font-weight: 800;
  font-size: 56px;
  line-height: 59px;
  margin-bottom: 20px;
  letter-spacing: 2px;

}
.slide .container {
  height: 100%;
  display: flex;
  align-items: center;
}

.slide-div {
  display: flex;
  flex-direction: column;
  color: #ffffff;
  padding-top: 150px;
}


/* FOR MANUAL SLIDER LEFT-RIGHT */

#controls {
  height: 35px;
  width: 100%;
  padding-left: 130px;
  display: flex;
  flex-direction: row;
  gap: 20px;
  justify-content: flex-start;
  z-index: 2;
  position: absolute;
  top: 78%;
  display: none;
}


#controls button {
  height: 100%;
  width: 35px;
}

.previous,
.next {
  height: 100%;
  width: 35px;
  border: 1px solid white;
  border-radius: 50%;
  color: white;
  display: flex;
  justify-content: center;
  align-items: center;
}

.previous i,
.next i {
  font-size: 20px;
}



@media(max-width:1550px){
  .slide{
    height: 800px;
  }
  .slide .header-title{
    font-size: 40px;
    line-height: 47px;
  }
}

@media (max-width: 1200px) {
  .container {
    padding: 0px 65px;
  }
  #controls {
    padding-left: 65px;
    top: 76%;
  }
  .slide{
    height: 700px;
  }
}

@media(max-width:1000px){
  .slide-1{
    background-position-x: 85% !important;
    background-size: auto 150%;
  }
  .slide .header-title{
    display: none;
  }
}

/* controls 100% responsive */
@media screen and (max-width: 900px) {
  #controls {
    padding-left: 10px;
  }
}

@media screen and (max-width: 575px) {
  #controls {
    display: none !important;
  }
}







/* ---------------- 09.11.2023 ------- ispod nije sredjeno */



.o-nama-content {
  display: flex;
}

.o-nama-content-big {
  display: flex;
  flex-direction: column;
  gap: 30px;
}
.o-nama-content-text {
  font-weight: 400;
  font-size: 18px;
  line-height: 24px;
}



.greenbox-div {
  display: flex;
  flex-direction: column;
  gap: 10px;
  width: 100%;
}

.greenbox-div img{
  width: 100%;
  height: 80%;
}


@media screen and (max-width: 1515px) {
  .o-nama-content-text {
    font-size: 14px;
  }
}
@media screen and (max-width: 1324px) {
  
  .o-nama-content-text {
    font-size: 13px;
  }
  
}
@media screen and (max-width: 1199px) {
  .section-container{
    padding-top: 90px;
  }
  .o-nama-content-big {
    gap: 20px;
  }
  .greenbox-div {
    gap: 10px;
  }
  .o-nama-content-text {
    font-size: 16px;
  }
}
@media screen and (max-width: 575px) {
  .section-container {
    margin-bottom: 50px;
  }
  .greenbox-div{
    display: none;
  }
  .section-title {
    font-size: 32px;
    text-underline-offset: 14px;
    line-height: 52px;
  }
  .section-container .container hr {
    margin-bottom: 40px !important;
  }
  .o-nama-content-big {
    gap: 15px;
  }
  .o-nama-content {
    flex-direction: column;
    gap: 40px;
  }
}
@media screen and (max-width: 336px) {
  .section-title {
    font-size: 22px;
    text-underline-offset: 16px;
  }
}

/* Kontakt-naslovna section */
.kontakt-naslovna {
  color: #ffffff;
  height: 600px;
  background-image: url("background-pics/pc.webp"),url("background-pics/pc.png");
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}
.kontakt-naslovna .container {
  height: 100%;
  display: flex;
  align-items: flex-end;
}
.kontakt-content {
  display: flex;
  flex-direction: column;
  width: 100%;
  padding-bottom: 70px;
}
.kontakt-content a{
  width: fit-content;
}
.kontakt-title {
  font-weight: 800;
  font-size: 64px;
  line-height: 105px;
  margin-bottom: 30px;
  width: 100%;
  text-shadow: 3px 4px 2px #000, 3px 7px 14px #acacaf;
}

.kontakt-text {
  font-weight: 700;
  font-size: 18px;
  line-height: 19px;
  margin-bottom: 20px;
  margin-top: 60px;
}
.kontakt-icons {
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  align-items: center;
  gap: 25px;
  font-size: 26px;
}

@media(max-width:1230px){
  .kontakt-title{
    font-size: 50px;
  }
}

@media(max-width:1100px){
  .kontakt-title{
    line-height: 75px;
  }
}

/* kontakt-naslovna 100% responsive */
@media screen and (max-width: 575px) {
  
  .kontakt-content {
    padding-bottom: 100px;
  }
  .kontakt-title {
    font-size: 32px;
    line-height: 50px;
    margin-bottom: 15px;
  }
  .kontakt-text {
    font-size: 17px;
  }
  .kontakt-icons {
    font-size: 22px;
  }
}
@media screen and (max-width: 336px) {
  .kontakt-content {
    padding-bottom: 50px;
  }
  .kontakt-text {
    text-align: center;
  }
  .kontakt-icons {
    justify-content: center;
  }
}


/* nas-tim-naslovna section */
.nas-tim-naslovna {
  background-image: url(background-pics/logoPlanet.webp),url(background-pics/logoPlanet.png);
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  padding: 50px 0px;
  height: 1200px;
}

.nas-tim-content {
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
}

.nas-tim-first, .nas-tim-second{
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.nas-tim-item{
  font-size: 32px;
  font-weight: 800;
  padding: 30px;
  background-color: #051d32;
  border-radius: 30px;
  box-shadow: rgb(245 241 241 / 30%) 0px 3px 6px, rgb(215 205 205 / 23%) 0px 3px 6px;
}

@media (max-width: 900px) {
  .container {
    padding: 0px 10px!important;
  }
  body{
    background-position: 85% 3%;
  }
}

@media screen and (max-width: 991px) {
  .nas-tim-content {
    flex-direction: column;
    gap: 30px;
  }
}
@media(max-width:675px){
  .nas-tim-item{
    font-size: 14px !important;
    padding: 15px !important;
  }
}
@media screen and (max-width: 575px) {
  
  .nas-tim-naslovna{
    height: 500px;
  }
}

/* korisni-linkovi-naslovna section */
.partner-item {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  padding: 14px 26px;
  gap: 15px;
  border: 2px solid #1E6B8E;
  border-radius: 7px;
  height: 200px;
  width: 100%;
}

.partner-item:hover{
  cursor: pointer !important;
  border: 4px solid #2f91bf;
}

.team-item{
  height: 400px;
  flex-direction: column;
  background: linear-gradient(309deg, rgb(5 29 50 / 170%) 21%, rgb(45 92 137 / 33%) 86%);
    border: 4px solid #5b87a482 !important;
}

.team-item .partneri-left-div{
  flex-direction: column;
  gap: 30px;
}

.partneri-tekst-ime{
  letter-spacing: 2px;
  font-family: 'Comforta';
}

.partneri-tekst-pozicija{
    width: 100%;
    text-align: center;
    letter-spacing: 3px;
    background: linear-gradient(197deg, rgb(15 80 111) 30%, rgb(30 129 170) 86%);
    padding: 10px;
    border-radius: 10px;
    border: 4px solid #1d6791;
    font-family: 'Comforta';
}
.korisni-linkovi-content {
  display: flex;
  flex-wrap: wrap;
  font-weight: 700;
  font-size: 14px;
  line-height: 17px;
  row-gap: 15px;
  justify-content: center;
}
.partner-img-div {
  height: 60%;
}

.partner-img-div img {
  height: 100%;
  margin-right: 10px;
  border-radius: 50%; /* Postavlja okrugli rub */
  overflow: hidden; /* Osigurava da slika ne izlazi iz okruglog okvira */
}
.partner-div {
  display: flex;
  flex-direction: column;
  gap: 15px;
}
.partneri-left-div {
  display: flex;
  height: 100%;
  align-items: center;
}

.partneri-left-div-container{
  flex: 0 0 33%;
}

.partneri-middle-div{
  flex: 70%;
}

.partneri-middle-div img {
  width: 100%;
}

.form-container{
  flex: 0 0 33%;
}

.partneri-right-div{
  display: flex;
  flex-direction: column;
  align-items: center;
  padding-top: 10px;
  gap: 25px;
}
.partneri-tekst {
  text-align: center;
  font-size: 20px;
  color: #48b3e3;
}

.partneri-tekst p {
  line-height: 20px;
}

@media  screen and (max-width:1670xp) {
  .partner-img-div img {
    height: 80% !important;
  }
}

/* korisni-linkovi-naslovna section */
@media screen and (max-width: 1260px) {
  .partner-item {
    gap: 10px;
  }
}
@media screen and (max-width: 1199px) {
  .korisni-linkovi-content {
    flex-direction: column;
  }
  .partner-div {
    flex-direction: row;
  }
}
@media screen and (max-width: 991px) {
  .korisni-linkovi-content {
    flex-direction: column;
  }
  .partner-div {
    flex-direction: column;
  }
}
@media(max-width:675px){
  .nas-tim-content {
    justify-content: space-around !important;
  }
}
@media screen and (max-width: 575px) {
  .korisni-linkovi-content {
    font-size: 12px;
  }
}
@media screen and (max-width: 408px) {
  .partneri-tekst {
    text-align: start;
  }
  .partner-item {
    padding: 10px 13px;
  }
}

/* --- SERVICES ----- */
@media(max-width:1200px){
  .services-header{
    font-size: 26px;
  }
  .service-div p{
    font-size: 18px;
    line-height: 22px;
    text-align: center;
  }
  .partner-img-div{
    width: 100%;
  }
}

@media(max-width:600px){
  .services-header{
    font-size: 18px;
    text-align: center;
  }
  .service-div{
    gap:15px;
  }
  .service-div p{
    font-size: 13px;
    line-height: 20px;;
  }
}

@media(max-width:420px){
  .services-header{
    font-size: 15px;
  }
  .service-div p{
    font-size: 13px;
  }

  .service-div {
    gap: 15px;
  }
}

@media(max-width:380px){
  .service-div p{
    font-size: 11px;
    line-height: 16px;
  }
}








/* vijesti-naslovna 100% responsive */

@media screen and (max-width: 767px) {
  .title-greenlink {
    display: none;
  }

}


/* ------ CONTACT SECTION ----- */

.contact-div{
  height: 100%;
  display: flex;
  flex-direction: column;
  border:2px solid #1E6B8E;
  border-radius: 40px;
  padding: 30px 0px;
  background-color: #051d32;
}

.contact-main-header{
  width: 100%;
  padding: 15px 10px;
  text-align: center;
  font-size: 30px;
  font-weight: 600;
}
.contact-main-header h3{
  font-size: 30px;
  font-weight: 600;
  background-image: linear-gradient(to left, #1E6B8E, #ffffff);
  color: transparent;
  background-clip: text;
  -webkit-background-clip: text;
}
.contact-item{
  border: none !important;
  height: 100%;
  justify-content: space-around;
}

.contact-item:hover{
  cursor: auto !important;
}



.adressa-container{
  display: flex;
  flex-direction: column;
  gap: 20px;
  justify-content: start;
  align-items: start;
}

.partneri-tekst-addresa{
  margin-top: 10px;
  font-size: 16px;
  color: white;
  display: flex;
  flex-direction: column;
  align-items: start;
}

.header-contact{
  font-size: 22px;
  display: flex;
  flex-direction: column;
  justify-content: start;
  align-items: start !important;
}

.left-side-inputs, .inputs-container{
  display: flex;
  flex-direction: column;
  gap: 15px;
}

label{
  margin-left: 10px;
}

form{
  width: 100% !important;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.inputs-container{
  gap: 10px !important;
  
}

input[type=text], textarea{
  width: 30rem;
  height: 50px;
  background-color: #2f91bf;
  padding: 10px 15px;
  border-radius: 10px;
  border: none !important;
  border-bottom: 1px solid white;
  color: white;
}
input:focus, textarea:focus, select:focus{
  outline: none;
}
@media (max-width:1400px){
  input[type=text], textarea{
    width: 26rem;
  }
}
@media (max-width:1200px){
  .contact-item{
    flex-direction: column;
  } 
  .contact-item{
    gap: 30px;
  }
  input[type=text], textarea{
    width: 32rem;
  }
  .inputs-container{
    width: 100% !important;
  }
.adressa-container{
  flex-wrap: wrap;
  align-content: center;
  width: 100%;
}
.header-contact{
  width: 100% !important
}
form{
  justify-content: flex-start !important;
  align-items: flex-start !important;
}
 
}
@media (max-width:900px){
  input[type=text], textarea{
    width: 28rem;
  }
}

@media (max-width:640px){
  input[type=text], textarea{
    width: 24rem;
  }
 
}
@media (max-width:520px){
  input[type=text], textarea{
    width: 18rem;
  }
  .header-contact{
    font-size: 17px !important;
  }
  .partneri-tekst-addresa{
    font-size: 13px !important;
  }
 
}
@media (max-width:420px){
  input[type=text], textarea{
    width: 20rem;
  }
  .partneri-tekst{
    font-size: 18px;
  }
  .partneri-tekst-addresa{
    font-size: 14px;
  }
 
}
@media (max-width:375px){
  input[type=text], textarea{
    width: 16rem;
  }
  .partneri-tekst{
    font-size: 18px;
  }
  .partneri-tekst-addresa{
    font-size: 14px;
  }
 
}
textarea{
  height: 150px;
  margin-bottom: 10px;
}

/* CSS */
.button-5 {
  margin-top: 15px;
  align-items: center;
  background-clip: padding-box;
  background-color: #051d32;
  border: 1px solid transparent;
  border-radius: 8px;
  box-shadow: rgba(244, 242, 242, 0.2) 0 1px 3px 0;
  box-sizing: border-box;
  color: #fff;
  cursor: pointer;
  display: inline-flex;
  font-family: system-ui,-apple-system,system-ui,"Helvetica Neue",Helvetica,Arial,sans-serif;
  font-size: 16px;
  font-weight: 600;
  justify-content: center;
  line-height: 1.25;
  margin: 0;
  min-height: 3rem;
  padding: calc(.875rem - 1px) calc(1.5rem - 1px);
  position: relative;
  text-decoration: none;
  transition: all 250ms;
  user-select: none;
  -webkit-user-select: none;
  touch-action: manipulation;
  vertical-align: baseline;
  width: 30%;
}

.button-5:hover,
.button-5:focus {
  background-color: #062846;
  box-shadow: rgba(0, 0, 0, 0.1) 0 4px 12px;
  cursor: pointer !important;
}

.button-5:hover {
  transform: translateY(-1px);
}

.button-5:active {
  background-color: #051d32;
  box-shadow: rgba(0, 0, 0, .06) 0 2px 4px;
  transform: translateY(0);
}

